Bug 214387 - xemacs is very slow for shell or dired
xemacs is very slow for shell or dired
Product: Fedora
Classification: Fedora
Component: xemacs (Show other bugs)
x86_64 Linux
medium Severity medium
: ---
: ---
Assigned To: Ville Skyttä
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2006-11-07 07:55 EST by Neal Becker
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2007-06-14 17:02:58 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Neal Becker 2006-11-07 07:55:25 EST
Description of problem:

This version of xemacs is very sluggish.  M-x shell, and reading a directory 
are very slow.  I suspect it's because extra debugging is on:
  Compiling in support for extra debugging code.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Actual results:

Expected results:

Additional info:
Comment 1 Ville Skyttä 2006-11-07 13:38:45 EST
According to upstream, the effect of extra debugging code is barely measurable
at least as of 21.4, and I'm not aware of why it would be any different in 21.5.

Extra error checking code slows XEmacs down much more, but that's not enabled in
the FE build.  One thing to experiment with would be to try building with
--disable-kkcc and see if it has any effect.
Comment 2 Neal Becker 2006-11-08 14:17:31 EST
I did:
1)     --without-debug
2) %bcond_without     xft

I believe #1 fixes the speed issue.
#2 was just cause it looks much nicer. Please consider these changes.
Comment 3 Ville Skyttä 2006-11-08 15:30:55 EST
Quickly testing --with-debug and --without-debug builds, I don't notice any
speed differences between them in shell, dired, nor other general use.  But yes,
21.5.27 is slower than the 21.4 series in quite a few places.

xft is nice and something to look forward into, but it is not ready for general
consumption in 21.5.27.  Will revisit when future upstream releases come out;
until then "rpmbuild --rebuild --with xft" is for the adventurous.  With current
xft, just a few clicks in the Options->Font Size and Options->Font menus result
in the fonts not changing or menus suddenly displaying "Cannot parse current
font" which is only apparently cured by restarting XEmacs.
Comment 4 Ville Skyttä 2007-06-14 16:19:54 EDT
How does 21.5.28 look?
Comment 5 Neal Becker 2007-06-14 16:55:10 EDT
Sorry, but I have switched to emacs.  I'm using the current emacs cvs 
emacs-unicode-2 branch, which supports xft.  It seems development on xemacs 
has slowed to a crawl, and in the meantime emacs is pretty much 'batteries 
included' now, so I have little incentive to use xemacs anymore.  (There are a 
few features from xemacs I miss, but I can live).
Comment 6 Ville Skyttä 2007-06-14 17:02:58 EDT
Ok, closing due to lack of needed info.

Note You need to log in before you can comment on or make changes to this bug.